<?php
/**
 * A test unit helper for cruncher
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2011 - 2014 Cruncher Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class CruncherTestUnitHelper extends BaseWorkUnitHelper implements UnitHelper {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this class
	 *
	 * @return	$unitInstance	An instance of a UnitHelper class
	 */
	public final static function createCruncherTestUnitHelper () {
		// Get new instance
		$unitInstance = new CruncherTestUnitHelper();

		// Return the prepared instance
		return $unitInstance;
	}

	/**
	 * Initializes this WU helper. This method satisfies the abstract
	 * BaseWorkUnitHelper class.
	 *
	 * @return	void
	 * @todo	0% done
	 */
	protected function initializeUnitHelper () {
		$this->partialStub('Please implement this method.');
	}

	/**
	 * Generates a work/test/foo unit instance. This method satifies the
	 * UnitHelper interface.
	 *
	 * @return	$unitInstance	A work unit instance
	 * @todo	0% done
	 */
	public function generateNextUnitInstance () {
		$this->partialStub('Please implement this method.');
	}
}

// [EOF]
?>
